Package com.xebialabs.xlrelease.api.v1.forms

# Class Variable

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.Variable

All Implemented Interfaces:
  `Serializable`

public class Variable extends Object implements Serializable
A variable in release or template.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Variable()`
  `Variable(String key, String value)`
  `Variable(String key, String value, boolean required)`
  `Variable(String type, String key, Object value, boolean required)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `ExternalVariableValue`
  `getExternalVariableValue()`
  `String`
  `getId()`
  `String`
  `getKey()`
  `String`
  `getLabel()`
  `String`
  `getReferencedType()`
  `String`
  `getType()`
  `Object`
  `getValue()`
  `ValueProviderConfiguration`
  `getValueProvider()`
  `boolean`
  `isInherited()`
  `boolean`
  `isMultiline()`
  `boolean`
  `isPreventInterpolation()`
  `boolean`
  `isRequiresValue()`
  `boolean`
  `isShowOnReleaseStart()`
  `void`
  `setDescription(String description)`
  `void`
  `setExternalVariableValue(ExternalVariableValue externalVariableValue)`
  `void`
  `setId(String id)`
  `void`
  `setInherited(boolean inherited)`
  `void`
  `setKey(String key)`
  `void`
  `setLabel(String label)`
  `void`
  `setMultiline(boolean multiline)`
  `void`
  `setPreventInterpolation(boolean preventInterpolation)`
  `void`
  `setReferencedType(String referencedType)`
  `void`
  `setRequiresValue(boolean requiresValue)`
  `void`
  `setShowOnReleaseStart(boolean showOnReleaseStart)`
  `void`
  `setType(String type)`
  `void`
  `setValue(Object value)`
  `void`
  `setValueProvider(ValueProviderConfiguration valueProvider)`
  `Variable`
  `toReleaseVariable()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Variable

    public Variable()

  - ### Variable

    public Variable(String key, String value)

  - ### Variable

    public Variable(String key, String value, boolean required)

  - ### Variable

    public Variable(String type, String key, Object value, boolean required)

- ## Method Details

  - ### toReleaseVariable

    public Variable toReleaseVariable()

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getKey

    public String getKey()

  - ### setKey

    public void setKey(String key)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### isRequiresValue

    public boolean isRequiresValue()

  - ### setRequiresValue

    public void setRequiresValue(boolean requiresValue)

  - ### isShowOnReleaseStart

    public boolean isShowOnReleaseStart()

  - ### setShowOnReleaseStart

    public void setShowOnReleaseStart(boolean showOnReleaseStart)

  - ### getValue

    public Object getValue()

  - ### setValue

    public void setValue(Object value)

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public void setLabel(String label)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getValueProvider

    public ValueProviderConfiguration getValueProvider()

  - ### setValueProvider

    public void setValueProvider(ValueProviderConfiguration valueProvider)

  - ### isMultiline

    public boolean isMultiline()

  - ### setMultiline

    public void setMultiline(boolean multiline)

  - ### isInherited

    public boolean isInherited()

  - ### setInherited

    public void setInherited(boolean inherited)

  - ### getExternalVariableValue

    public ExternalVariableValue getExternalVariableValue()

  - ### setExternalVariableValue

    public void setExternalVariableValue(ExternalVariableValue externalVariableValue)

  - ### isPreventInterpolation

    public boolean isPreventInterpolation()

  - ### setPreventInterpolation

    public void setPreventInterpolation(boolean preventInterpolation)

  - ### getReferencedType

    public String getReferencedType()

  - ### setReferencedType

    public void setReferencedType(String referencedType)